<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfCorso ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfCorso
 * @subpackage Arrays
 */
class ArrayOfCorso extends AbstractStructArrayBase
{
    /**
     * The Corso
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Corso[]
     */
    public $Corso;
    /**
     * Constructor method for ArrayOfCorso
     * @uses ArrayOfCorso::setCorso()
     * @param \StructType\Corso[] $corso
     */
    public function __construct(array $corso = array())
    {
        $this
            ->setCorso($corso);
    }
    /**
     * Get Corso value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Corso[]|null
     */
    public function getCorso()
    {
        return isset($this->Corso) ? $this->Corso : null;
    }
    /**
     * This method is responsible for validating the values passed to the setCorso method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCorso method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCorsoForArrayConstraintsFromSetCorso(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfCorsoCorsoItem) {
            // validation for constraint: itemType
            if (!$arrayOfCorsoCorsoItem instanceof \StructType\Corso) {
                $invalidValues[] = is_object($arrayOfCorsoCorsoItem) ? get_class($arrayOfCorsoCorsoItem) : sprintf('%s(%s)', gettype($arrayOfCorsoCorsoItem), var_export($arrayOfCorsoCorsoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Corso property can only contain items of type \StructType\Corso, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Corso value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Corso[] $corso
     * @return \ArrayType\ArrayOfCorso
     */
    public function setCorso(array $corso = array())
    {
        // validation for constraint: array
        if ('' !== ($corsoArrayErrorMessage = self::validateCorsoForArrayConstraintsFromSetCorso($corso))) {
            throw new \InvalidArgumentException($corsoArrayErrorMessage, __LINE__);
        }
        if (is_null($corso) || (is_array($corso) && empty($corso))) {
            unset($this->Corso);
        } else {
            $this->Corso = $corso;
        }
        return $this;
    }
    /**
     * Add item to Corso value
     * @throws \InvalidArgumentException
     * @param \StructType\Corso $item
     * @return \ArrayType\ArrayOfCorso
     */
    public function addToCorso(\StructType\Corso $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Corso) {
            throw new \InvalidArgumentException(sprintf('The Corso property can only contain items of type \StructType\Corso, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Corso[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Corso|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Corso|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Corso|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Corso|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Corso|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Corso
     */
    public function getAttributeName()
    {
        return 'Corso';
    }
}
