<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfCorsoFormazione ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfCorsoFormazione
 * @subpackage Arrays
 */
class ArrayOfCorsoFormazione extends AbstractStructArrayBase
{
    /**
     * The CorsoFormazione
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CorsoFormazione[]
     */
    public $CorsoFormazione;
    /**
     * Constructor method for ArrayOfCorsoFormazione
     * @uses ArrayOfCorsoFormazione::setCorsoFormazione()
     * @param \StructType\CorsoFormazione[] $corsoFormazione
     */
    public function __construct(array $corsoFormazione = array())
    {
        $this
            ->setCorsoFormazione($corsoFormazione);
    }
    /**
     * Get CorsoFormazione value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CorsoFormazione[]|null
     */
    public function getCorsoFormazione()
    {
        return isset($this->CorsoFormazione) ? $this->CorsoFormazione : null;
    }
    /**
     * This method is responsible for validating the values passed to the setCorsoFormazione method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCorsoFormazione method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCorsoFormazioneForArrayConstraintsFromSetCorsoFormazione(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfCorsoFormazioneCorsoFormazioneItem) {
            // validation for constraint: itemType
            if (!$arrayOfCorsoFormazioneCorsoFormazioneItem instanceof \StructType\CorsoFormazione) {
                $invalidValues[] = is_object($arrayOfCorsoFormazioneCorsoFormazioneItem) ? get_class($arrayOfCorsoFormazioneCorsoFormazioneItem) : sprintf('%s(%s)', gettype($arrayOfCorsoFormazioneCorsoFormazioneItem), var_export($arrayOfCorsoFormazioneCorsoFormazioneItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The CorsoFormazione property can only contain items of type \StructType\CorsoFormazione, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set CorsoFormazione value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\CorsoFormazione[] $corsoFormazione
     * @return \ArrayType\ArrayOfCorsoFormazione
     */
    public function setCorsoFormazione(array $corsoFormazione = array())
    {
        // validation for constraint: array
        if ('' !== ($corsoFormazioneArrayErrorMessage = self::validateCorsoFormazioneForArrayConstraintsFromSetCorsoFormazione($corsoFormazione))) {
            throw new \InvalidArgumentException($corsoFormazioneArrayErrorMessage, __LINE__);
        }
        if (is_null($corsoFormazione) || (is_array($corsoFormazione) && empty($corsoFormazione))) {
            unset($this->CorsoFormazione);
        } else {
            $this->CorsoFormazione = $corsoFormazione;
        }
        return $this;
    }
    /**
     * Add item to CorsoFormazione value
     * @throws \InvalidArgumentException
     * @param \StructType\CorsoFormazione $item
     * @return \ArrayType\ArrayOfCorsoFormazione
     */
    public function addToCorsoFormazione(\StructType\CorsoFormazione $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\CorsoFormazione) {
            throw new \InvalidArgumentException(sprintf('The CorsoFormazione property can only contain items of type \StructType\CorsoFormazione, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->CorsoFormazione[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\CorsoFormazione|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\CorsoFormazione|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\CorsoFormazione|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\CorsoFormazione|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\CorsoFormazione|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string CorsoFormazione
     */
    public function getAttributeName()
    {
        return 'CorsoFormazione';
    }
}
