<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfRecapito ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfRecapito
 * @subpackage Arrays
 */
class ArrayOfRecapito extends AbstractStructArrayBase
{
    /**
     * The Recapito
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Recapito[]
     */
    public $Recapito;
    /**
     * Constructor method for ArrayOfRecapito
     * @uses ArrayOfRecapito::setRecapito()
     * @param \StructType\Recapito[] $recapito
     */
    public function __construct(array $recapito = array())
    {
        $this
            ->setRecapito($recapito);
    }
    /**
     * Get Recapito value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Recapito[]|null
     */
    public function getRecapito()
    {
        return isset($this->Recapito) ? $this->Recapito : null;
    }
    /**
     * This method is responsible for validating the values passed to the setRecapito method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRecapito method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRecapitoForArrayConstraintsFromSetRecapito(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfRecapitoRecapitoItem) {
            // validation for constraint: itemType
            if (!$arrayOfRecapitoRecapitoItem instanceof \StructType\Recapito) {
                $invalidValues[] = is_object($arrayOfRecapitoRecapitoItem) ? get_class($arrayOfRecapitoRecapitoItem) : sprintf('%s(%s)', gettype($arrayOfRecapitoRecapitoItem), var_export($arrayOfRecapitoRecapitoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Recapito property can only contain items of type \StructType\Recapito, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Recapito value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Recapito[] $recapito
     * @return \ArrayType\ArrayOfRecapito
     */
    public function setRecapito(array $recapito = array())
    {
        // validation for constraint: array
        if ('' !== ($recapitoArrayErrorMessage = self::validateRecapitoForArrayConstraintsFromSetRecapito($recapito))) {
            throw new \InvalidArgumentException($recapitoArrayErrorMessage, __LINE__);
        }
        if (is_null($recapito) || (is_array($recapito) && empty($recapito))) {
            unset($this->Recapito);
        } else {
            $this->Recapito = $recapito;
        }
        return $this;
    }
    /**
     * Add item to Recapito value
     * @throws \InvalidArgumentException
     * @param \StructType\Recapito $item
     * @return \ArrayType\ArrayOfRecapito
     */
    public function addToRecapito(\StructType\Recapito $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Recapito) {
            throw new \InvalidArgumentException(sprintf('The Recapito property can only contain items of type \StructType\Recapito, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Recapito[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Recapito|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Recapito|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Recapito|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Recapito|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Recapito|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string Recapito
     */
    public function getAttributeName()
    {
        return 'Recapito';
    }
}
