<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTAttivita ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTAttivita
 * @subpackage Arrays
 */
class ArrayOfTAttivita extends AbstractStructArrayBase
{
    /**
     * The TAttivita
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TAttivita[]
     */
    public $TAttivita;
    /**
     * Constructor method for ArrayOfTAttivita
     * @uses ArrayOfTAttivita::setTAttivita()
     * @param \StructType\TAttivita[] $tAttivita
     */
    public function __construct(array $tAttivita = array())
    {
        $this
            ->setTAttivita($tAttivita);
    }
    /**
     * Get TAttivita value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TAttivita[]|null
     */
    public function getTAttivita()
    {
        return isset($this->TAttivita) ? $this->TAttivita : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTAttivita method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTAttivita method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTAttivitaForArrayConstraintsFromSetTAttivita(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfTAttivitaTAttivitaItem) {
            // validation for constraint: itemType
            if (!$arrayOfTAttivitaTAttivitaItem instanceof \StructType\TAttivita) {
                $invalidValues[] = is_object($arrayOfTAttivitaTAttivitaItem) ? get_class($arrayOfTAttivitaTAttivitaItem) : sprintf('%s(%s)', gettype($arrayOfTAttivitaTAttivitaItem), var_export($arrayOfTAttivitaTAttivitaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The TAttivita property can only contain items of type \StructType\TAttivita, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set TAttivita value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TAttivita[] $tAttivita
     * @return \ArrayType\ArrayOfTAttivita
     */
    public function setTAttivita(array $tAttivita = array())
    {
        // validation for constraint: array
        if ('' !== ($tAttivitaArrayErrorMessage = self::validateTAttivitaForArrayConstraintsFromSetTAttivita($tAttivita))) {
            throw new \InvalidArgumentException($tAttivitaArrayErrorMessage, __LINE__);
        }
        if (is_null($tAttivita) || (is_array($tAttivita) && empty($tAttivita))) {
            unset($this->TAttivita);
        } else {
            $this->TAttivita = $tAttivita;
        }
        return $this;
    }
    /**
     * Add item to TAttivita value
     * @throws \InvalidArgumentException
     * @param \StructType\TAttivita $item
     * @return \ArrayType\ArrayOfTAttivita
     */
    public function addToTAttivita(\StructType\TAttivita $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TAttivita) {
            throw new \InvalidArgumentException(sprintf('The TAttivita property can only contain items of type \StructType\TAttivita, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->TAttivita[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TAttivita|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TAttivita|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TAttivita|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TAttivita|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TAttivita|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TAttivita
     */
    public function getAttributeName()
    {
        return 'TAttivita';
    }
}
