<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTGiorno ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTGiorno
 * @subpackage Arrays
 */
class ArrayOfTGiorno extends AbstractStructArrayBase
{
    /**
     * The TGiorno
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TGiorno[]
     */
    public $TGiorno;
    /**
     * Constructor method for ArrayOfTGiorno
     * @uses ArrayOfTGiorno::setTGiorno()
     * @param \StructType\TGiorno[] $tGiorno
     */
    public function __construct(array $tGiorno = array())
    {
        $this
            ->setTGiorno($tGiorno);
    }
    /**
     * Get TGiorno value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TGiorno[]|null
     */
    public function getTGiorno()
    {
        return isset($this->TGiorno) ? $this->TGiorno : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTGiorno method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTGiorno method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTGiornoForArrayConstraintsFromSetTGiorno(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfTGiornoTGiornoItem) {
            // validation for constraint: itemType
            if (!$arrayOfTGiornoTGiornoItem instanceof \StructType\TGiorno) {
                $invalidValues[] = is_object($arrayOfTGiornoTGiornoItem) ? get_class($arrayOfTGiornoTGiornoItem) : sprintf('%s(%s)', gettype($arrayOfTGiornoTGiornoItem), var_export($arrayOfTGiornoTGiornoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The TGiorno property can only contain items of type \StructType\TGiorno, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set TGiorno value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TGiorno[] $tGiorno
     * @return \ArrayType\ArrayOfTGiorno
     */
    public function setTGiorno(array $tGiorno = array())
    {
        // validation for constraint: array
        if ('' !== ($tGiornoArrayErrorMessage = self::validateTGiornoForArrayConstraintsFromSetTGiorno($tGiorno))) {
            throw new \InvalidArgumentException($tGiornoArrayErrorMessage, __LINE__);
        }
        if (is_null($tGiorno) || (is_array($tGiorno) && empty($tGiorno))) {
            unset($this->TGiorno);
        } else {
            $this->TGiorno = $tGiorno;
        }
        return $this;
    }
    /**
     * Add item to TGiorno value
     * @throws \InvalidArgumentException
     * @param \StructType\TGiorno $item
     * @return \ArrayType\ArrayOfTGiorno
     */
    public function addToTGiorno(\StructType\TGiorno $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TGiorno) {
            throw new \InvalidArgumentException(sprintf('The TGiorno property can only contain items of type \StructType\TGiorno, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->TGiorno[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TGiorno|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TGiorno|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TGiorno|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TGiorno|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TGiorno|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TGiorno
     */
    public function getAttributeName()
    {
        return 'TGiorno';
    }
}
