<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTipoRecapito ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTipoRecapito
 * @subpackage Arrays
 */
class ArrayOfTipoRecapito extends AbstractStructArrayBase
{
    /**
     * The TipoRecapito
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TipoRecapito[]
     */
    public $TipoRecapito;
    /**
     * Constructor method for ArrayOfTipoRecapito
     * @uses ArrayOfTipoRecapito::setTipoRecapito()
     * @param \StructType\TipoRecapito[] $tipoRecapito
     */
    public function __construct(array $tipoRecapito = array())
    {
        $this
            ->setTipoRecapito($tipoRecapito);
    }
    /**
     * Get TipoRecapito value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TipoRecapito[]|null
     */
    public function getTipoRecapito()
    {
        return isset($this->TipoRecapito) ? $this->TipoRecapito : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTipoRecapito method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTipoRecapito method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTipoRecapitoForArrayConstraintsFromSetTipoRecapito(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfTipoRecapitoTipoRecapitoItem) {
            // validation for constraint: itemType
            if (!$arrayOfTipoRecapitoTipoRecapitoItem instanceof \StructType\TipoRecapito) {
                $invalidValues[] = is_object($arrayOfTipoRecapitoTipoRecapitoItem) ? get_class($arrayOfTipoRecapitoTipoRecapitoItem) : sprintf('%s(%s)', gettype($arrayOfTipoRecapitoTipoRecapitoItem), var_export($arrayOfTipoRecapitoTipoRecapitoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The TipoRecapito property can only contain items of type \StructType\TipoRecapito, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set TipoRecapito value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TipoRecapito[] $tipoRecapito
     * @return \ArrayType\ArrayOfTipoRecapito
     */
    public function setTipoRecapito(array $tipoRecapito = array())
    {
        // validation for constraint: array
        if ('' !== ($tipoRecapitoArrayErrorMessage = self::validateTipoRecapitoForArrayConstraintsFromSetTipoRecapito($tipoRecapito))) {
            throw new \InvalidArgumentException($tipoRecapitoArrayErrorMessage, __LINE__);
        }
        if (is_null($tipoRecapito) || (is_array($tipoRecapito) && empty($tipoRecapito))) {
            unset($this->TipoRecapito);
        } else {
            $this->TipoRecapito = $tipoRecapito;
        }
        return $this;
    }
    /**
     * Add item to TipoRecapito value
     * @throws \InvalidArgumentException
     * @param \StructType\TipoRecapito $item
     * @return \ArrayType\ArrayOfTipoRecapito
     */
    public function addToTipoRecapito(\StructType\TipoRecapito $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TipoRecapito) {
            throw new \InvalidArgumentException(sprintf('The TipoRecapito property can only contain items of type \StructType\TipoRecapito, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->TipoRecapito[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TipoRecapito|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TipoRecapito|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TipoRecapito|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TipoRecapito|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TipoRecapito|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TipoRecapito
     */
    public function getAttributeName()
    {
        return 'TipoRecapito';
    }
}
