<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ArrayOfCorsoFormazione' => '\\ArrayType\\ArrayOfCorsoFormazione',
            'CorsoFormazione' => '\\StructType\\CorsoFormazione',
            'UtentePCGav' => '\\StructType\\UtentePCGav',
            'ArrayOfAttivitaUtente' => '\\ArrayType\\ArrayOfAttivitaUtente',
            'AttivitaUtente' => '\\StructType\\AttivitaUtente',
            'AttivitaModel' => '\\StructType\\AttivitaModel',
            'ArrayOfQualifica' => '\\ArrayType\\ArrayOfQualifica',
            'Qualifica' => '\\StructType\\Qualifica',
            'ArrayOfPresenza_CheckListRichiestaModel' => '\\ArrayType\\ArrayOfPresenza_CheckListRichiestaModel',
            'Presenza_CheckListRichiestaModel' => '\\StructType\\Presenza_CheckListRichiestaModel',
            'ArrayOfRecapito' => '\\ArrayType\\ArrayOfRecapito',
            'Recapito' => '\\StructType\\Recapito',
            'Configurazione' => '\\StructType\\Configurazione',
            'ConfigurazioneBase' => '\\StructType\\ConfigurazioneBase',
            'IntegrazioneCupMisericordie' => '\\StructType\\IntegrazioneCupMisericordie',
            'IntegrazioneCupSubito' => '\\StructType\\IntegrazioneCupSubito',
            'ArrayOfMezzo_Model' => '\\ArrayType\\ArrayOfMezzo_Model',
            'Mezzo_Model' => '\\StructType\\Mezzo_Model',
            'ArrayOfRichiestaCartellino_Motivo' => '\\ArrayType\\ArrayOfRichiestaCartellino_Motivo',
            'RichiestaCartellino_Motivo' => '\\StructType\\RichiestaCartellino_Motivo',
            'RichiestaCartellino_Motivo_Identificativo' => '\\StructType\\RichiestaCartellino_Motivo_Identificativo',
            'ArrayOfSezione' => '\\ArrayType\\ArrayOfSezione',
            'Sezione' => '\\StructType\\Sezione',
            'Coordinate' => '\\StructType\\Coordinate',
            'ArrayOfGruppoTurni' => '\\ArrayType\\ArrayOfGruppoTurni',
            'GruppoTurni' => '\\StructType\\GruppoTurni',
            'ArrayOfSezione_Model' => '\\ArrayType\\ArrayOfSezione_Model',
            'Sezione_Model' => '\\StructType\\Sezione_Model',
            'ArrayOfTipoRecapito' => '\\ArrayType\\ArrayOfTipoRecapito',
            'TipoRecapito' => '\\StructType\\TipoRecapito',
            'Login_Result' => '\\StructType\\Login_Result',
            'AdditionaInformation' => '\\StructType\\AdditionaInformation',
            'RegistraFCMToken_Result' => '\\StructType\\RegistraFCMToken_Result',
            'WebService_GenericResult' => '\\StructType\\WebService_GenericResult',
            'UnregisterFCMToken_Request' => '\\StructType\\UnregisterFCMToken_Request',
            'DeviceModel' => '\\StructType\\DeviceModel',
            'UnregisterFCMToken_Response' => '\\StructType\\UnregisterFCMToken_Response',
            'Login_EasyGAV_Web_Result' => '\\StructType\\Login_EasyGAV_Web_Result',
            'ConfigurazioneApp' => '\\StructType\\ConfigurazioneApp',
            'Login_SGEServer_Result' => '\\StructType\\Login_SGEServer_Result',
            'Classe_Model' => '\\StructType\\Classe_Model',
            'Quota_Model' => '\\StructType\\Quota_Model',
            'ArrayOfProvincia_Model' => '\\ArrayType\\ArrayOfProvincia_Model',
            'Provincia_Model' => '\\StructType\\Provincia_Model',
            'GetProfilo_Result' => '\\StructType\\GetProfilo_Result',
            'UpdateUser_Result' => '\\StructType\\UpdateUser_Result',
            'UpdateUserProfilePhoto_Result' => '\\StructType\\UpdateUserProfilePhoto_Result',
            'GetConfigurazione_Result' => '\\StructType\\GetConfigurazione_Result',
            'InviaPresenza_Result' => '\\StructType\\InviaPresenza_Result',
            'Presenza' => '\\StructType\\Presenza',
            'InviaPresenza_Request' => '\\StructType\\InviaPresenza_Request',
            'PresenzaModel' => '\\StructType\\PresenzaModel',
            'ArrayOfPresenza_CheckListRispostaModel' => '\\ArrayType\\ArrayOfPresenza_CheckListRispostaModel',
            'Presenza_CheckListRispostaModel' => '\\StructType\\Presenza_CheckListRispostaModel',
            'InviaPresenza_Response' => '\\StructType\\InviaPresenza_Response',
            'InviaPresenza3_Request' => '\\StructType\\InviaPresenza3_Request',
            'GetCheckList_Richieste_Request' => '\\StructType\\GetCheckList_Richieste_Request',
            'GetCheckList_Richieste_Response' => '\\StructType\\GetCheckList_Richieste_Response',
            'GetRegioni_Result' => '\\StructType\\GetRegioni_Result',
            'ArrayOfResultCodiceDescrizione' => '\\ArrayType\\ArrayOfResultCodiceDescrizione',
            'ResultCodiceDescrizione' => '\\StructType\\ResultCodiceDescrizione',
            'GetProvince_Result' => '\\StructType\\GetProvince_Result',
            'GetComuni_Result' => '\\StructType\\GetComuni_Result',
            'GetRecapiti_Result' => '\\StructType\\GetRecapiti_Result',
            'GetRecapito_Result' => '\\StructType\\GetRecapito_Result',
            'Recapito_Model' => '\\StructType\\Recapito_Model',
            'SalvaRecapito_Result' => '\\StructType\\SalvaRecapito_Result',
            'DeleteRecapito_Result' => '\\StructType\\DeleteRecapito_Result',
            'GetQualifiche_Result' => '\\StructType\\GetQualifiche_Result',
            'SendRecapiti_Result' => '\\StructType\\SendRecapiti_Result',
            'GetCorsi_Result' => '\\StructType\\GetCorsi_Result',
            'ArrayOfDatiCorso' => '\\ArrayType\\ArrayOfDatiCorso',
            'DatiCorso' => '\\StructType\\DatiCorso',
            'Anagrafica_Model' => '\\StructType\\Anagrafica_Model',
            'Socio_Model' => '\\StructType\\Socio_Model',
            'Volontario_Model' => '\\StructType\\Volontario_Model',
            'SendCorsoRegistrazione_Result' => '\\StructType\\SendCorsoRegistrazione_Result',
            'SendCorsoCancellaRegistrazione_Result' => '\\StructType\\SendCorsoCancellaRegistrazione_Result',
            'GetTurni_Result' => '\\StructType\\GetTurni_Result',
            'ArrayOfTGiorno' => '\\ArrayType\\ArrayOfTGiorno',
            'TGiorno' => '\\StructType\\TGiorno',
            'ArrayOfTurno' => '\\ArrayType\\ArrayOfTurno',
            'Turno' => '\\StructType\\Turno',
            'ArrayOfTAttivita' => '\\ArrayType\\ArrayOfTAttivita',
            'TAttivita' => '\\StructType\\TAttivita',
            'ArrayOfTPartecipante' => '\\ArrayType\\ArrayOfTPartecipante',
            'TPartecipante' => '\\StructType\\TPartecipante',
            'Partecipante' => '\\StructType\\Partecipante',
            'Mezzo' => '\\StructType\\Mezzo',
            'ArrayOfTurno_Qualifica' => '\\ArrayType\\ArrayOfTurno_Qualifica',
            'Turno_Qualifica' => '\\StructType\\Turno_Qualifica',
            'ArrayOfPartecipante' => '\\ArrayType\\ArrayOfPartecipante',
            'GetTurniOperatore_Result' => '\\StructType\\GetTurniOperatore_Result',
            'GetEventiOperatore_Result' => '\\StructType\\GetEventiOperatore_Result',
            'GetEventi_Result' => '\\StructType\\GetEventi_Result',
            'ArrayOfEGiorno' => '\\ArrayType\\ArrayOfEGiorno',
            'EGiorno' => '\\StructType\\EGiorno',
            'ArrayOfEvento' => '\\ArrayType\\ArrayOfEvento',
            'Evento' => '\\StructType\\Evento',
            'ArrayOfEAttivita' => '\\ArrayType\\ArrayOfEAttivita',
            'EAttivita' => '\\StructType\\EAttivita',
            'ArrayOfEPartecipante' => '\\ArrayType\\ArrayOfEPartecipante',
            'EPartecipante' => '\\StructType\\EPartecipante',
            'GetCalendarioTurniLite_Result' => '\\StructType\\GetCalendarioTurniLite_Result',
            'ArrayOfTurnoLite' => '\\ArrayType\\ArrayOfTurnoLite',
            'TurnoLite' => '\\StructType\\TurnoLite',
            'GetTurnoSpecifico_Result' => '\\StructType\\GetTurnoSpecifico_Result',
            'GetGiornoEvento_Result' => '\\StructType\\GetGiornoEvento_Result',
            'IscrizioneTurno_Result' => '\\StructType\\IscrizioneTurno_Result',
            'ModificaIscrizioneTurno_Result' => '\\StructType\\ModificaIscrizioneTurno_Result',
            'IscrizioneEvento_Result' => '\\StructType\\IscrizioneEvento_Result',
            'CancellazioneIscrizioneTurno_Result' => '\\StructType\\CancellazioneIscrizioneTurno_Result',
            'CancellazioneIscrizioneEvento_Result' => '\\StructType\\CancellazioneIscrizioneEvento_Result',
            'GetAttivitaUtente_Result' => '\\StructType\\GetAttivitaUtente_Result',
            'GetMessaggi_Result' => '\\StructType\\GetMessaggi_Result',
            'ArrayOfMessaggio' => '\\ArrayType\\ArrayOfMessaggio',
            'Messaggio' => '\\StructType\\Messaggio',
            'GetLastPresenza_Result' => '\\StructType\\GetLastPresenza_Result',
            'GetLastPresenza_Request' => '\\StructType\\GetLastPresenza_Request',
            'GetLastPresenza_Response' => '\\StructType\\GetLastPresenza_Response',
            'GetNotifiche_Result' => '\\StructType\\GetNotifiche_Result',
            'ArrayOfNotificaClient' => '\\ArrayType\\ArrayOfNotificaClient',
            'NotificaClient' => '\\StructType\\NotificaClient',
            'Notifica' => '\\StructType\\Notifica',
            'GetTestoNotifica_Result' => '\\StructType\\GetTestoNotifica_Result',
            'GetTotaleNotificheDaNotificare_Result' => '\\StructType\\GetTotaleNotificheDaNotificare_Result',
            'SetNotificaLetta_Result' => '\\StructType\\SetNotificaLetta_Result',
            'SetNotificheNotificate_Result' => '\\StructType\\SetNotificheNotificate_Result',
            'Anagrafe_Ricerca' => '\\StructType\\Anagrafe_Ricerca',
            'Anagrafe_Ricerca_Result' => '\\StructType\\Anagrafe_Ricerca_Result',
            'ArrayOfAnagrafica_Model' => '\\ArrayType\\ArrayOfAnagrafica_Model',
            'Anagrafe_Get_Result' => '\\StructType\\Anagrafe_Get_Result',
            'AnagraficaDettaglio_Model' => '\\StructType\\AnagraficaDettaglio_Model',
            'Comune_Model' => '\\StructType\\Comune_Model',
            'Donatore_Model' => '\\StructType\\Donatore_Model',
            'ArrayOfAnagrafePrivacy_Model' => '\\ArrayType\\ArrayOfAnagrafePrivacy_Model',
            'AnagrafePrivacy_Model' => '\\StructType\\AnagrafePrivacy_Model',
            'Privacy_Model' => '\\StructType\\Privacy_Model',
            'ArrayOfRecapito_Model' => '\\ArrayType\\ArrayOfRecapito_Model',
            'Stradario_Identifier_Model' => '\\StructType\\Stradario_Identifier_Model',
            'Report_Get_Result' => '\\StructType\\Report_Get_Result',
            'OutputCsv_Get_Result' => '\\StructType\\OutputCsv_Get_Result',
            'GetListaSegnalazioniGuasto_Result' => '\\StructType\\GetListaSegnalazioniGuasto_Result',
            'ArrayOfSegnalazioneGuasto_Model' => '\\ArrayType\\ArrayOfSegnalazioneGuasto_Model',
            'SegnalazioneGuasto_Model' => '\\StructType\\SegnalazioneGuasto_Model',
            'Articolo_Model' => '\\StructType\\Articolo_Model',
            'GetListaArticoliSegnalazioneGuasto_Result' => '\\StructType\\GetListaArticoliSegnalazioneGuasto_Result',
            'ArrayOfArticolo_Model' => '\\ArrayType\\ArrayOfArticolo_Model',
            'SendSegnalazioniGuasto_Result' => '\\StructType\\SendSegnalazioniGuasto_Result',
            'RiassegnaMezzoMissioni_Request' => '\\StructType\\RiassegnaMezzoMissioni_Request',
            'ArrayOfMissioneBase_Model' => '\\ArrayType\\ArrayOfMissioneBase_Model',
            'MissioneBase_Model' => '\\StructType\\MissioneBase_Model',
            'RiassegnaMezzoMissioni_Result' => '\\StructType\\RiassegnaMezzoMissioni_Result',
            'InsertRichiestaCartellino_Request' => '\\StructType\\InsertRichiestaCartellino_Request',
            'RichiestaCartellino' => '\\StructType\\RichiestaCartellino',
            'RichiestaCartellinoBase' => '\\StructType\\RichiestaCartellinoBase',
            'RichestaCartellino_DatiBollatura' => '\\StructType\\RichestaCartellino_DatiBollatura',
            'RichestaCartellino_DatiBollatura_Identificativo' => '\\StructType\\RichestaCartellino_DatiBollatura_Identificativo',
            'RichiestaCartellino_Identificativo' => '\\StructType\\RichiestaCartellino_Identificativo',
            'ArrayOfRichiestaCartellino_Evento' => '\\ArrayType\\ArrayOfRichiestaCartellino_Evento',
            'RichiestaCartellino_Evento' => '\\StructType\\RichiestaCartellino_Evento',
            'RichiestaCartellino_Evento_Identificativo' => '\\StructType\\RichiestaCartellino_Evento_Identificativo',
            'AnagraficaModel' => '\\StructType\\AnagraficaModel',
            'AnagraficaModel_Identificativo' => '\\StructType\\AnagraficaModel_Identificativo',
            'InsertRichiestaCartellino_Response' => '\\StructType\\InsertRichiestaCartellino_Response',
            'UpdateRichiestaCartellino_Request' => '\\StructType\\UpdateRichiestaCartellino_Request',
            'UpdateRichiestaCartellino_Response' => '\\StructType\\UpdateRichiestaCartellino_Response',
            'GetRichiesteCartellino_Request' => '\\StructType\\GetRichiesteCartellino_Request',
            'GetRichiesteCartellino_Response' => '\\StructType\\GetRichiesteCartellino_Response',
            'ArrayOfRichiestaCartellino' => '\\ArrayType\\ArrayOfRichiestaCartellino',
            'GetRichiestaCartellino_Request' => '\\StructType\\GetRichiestaCartellino_Request',
            'GetRichiestaCartellino_Response' => '\\StructType\\GetRichiestaCartellino_Response',
            'DeleteRichiestaCartellino_Request' => '\\StructType\\DeleteRichiestaCartellino_Request',
            'DeleteRichiestaCartellino_Response' => '\\StructType\\DeleteRichiestaCartellino_Response',
            'InsertEventolRichiestaCartellino_Request' => '\\StructType\\InsertEventolRichiestaCartellino_Request',
            'InsertEventolRichiestaCartellino_Response' => '\\StructType\\InsertEventolRichiestaCartellino_Response',
            'GetListaRuoliOperatori_Request' => '\\StructType\\GetListaRuoliOperatori_Request',
            'GetListaRuoliOperatori_Response' => '\\StructType\\GetListaRuoliOperatori_Response',
            'ArrayOfRuoloOperatori_Model' => '\\ArrayType\\ArrayOfRuoloOperatori_Model',
            'RuoloOperatori_Model' => '\\StructType\\RuoloOperatori_Model',
            'ArrayOfAnagraficaPersonale_Model' => '\\ArrayType\\ArrayOfAnagraficaPersonale_Model',
            'AnagraficaPersonale_Model' => '\\StructType\\AnagraficaPersonale_Model',
            'GetListaStradari_Request' => '\\StructType\\GetListaStradari_Request',
            'GetListaStradari_Response' => '\\StructType\\GetListaStradari_Response',
            'ArrayOfStradario_Model' => '\\ArrayType\\ArrayOfStradario_Model',
            'Stradario_Model' => '\\StructType\\Stradario_Model',
            'GetCorsiUtenteRequest' => '\\StructType\\GetCorsiUtenteRequest',
            'GetCorsiUtenteRespone' => '\\StructType\\GetCorsiUtenteRespone',
            'ArrayOfCorso' => '\\ArrayType\\ArrayOfCorso',
            'Corso' => '\\StructType\\Corso',
            'CancellaIscrizioneCorsoRequest' => '\\StructType\\CancellaIscrizioneCorsoRequest',
            'CancellaIscrizioneCorsoResponse' => '\\StructType\\CancellaIscrizioneCorsoResponse',
            'GetVersion' => '\\StructType\\GetVersion',
            'GetVersionResponse' => '\\StructType\\GetVersionResponse',
            'Login' => '\\StructType\\Login',
            'LoginResponse' => '\\StructType\\LoginResponse',
            'RegistraFCMToken' => '\\StructType\\RegistraFCMToken',
            'RegistraFCMTokenResponse' => '\\StructType\\RegistraFCMTokenResponse',
            'UnRegisterFCMToken' => '\\StructType\\UnRegisterFCMToken',
            'UnRegisterFCMTokenResponse' => '\\StructType\\UnRegisterFCMTokenResponse',
            'Login_Tessera' => '\\StructType\\Login_Tessera',
            'Login_TesseraResponse' => '\\StructType\\Login_TesseraResponse',
            'Login_EasyGAV_Web' => '\\StructType\\Login_EasyGAV_Web',
            'Login_EasyGAV_WebResponse' => '\\StructType\\Login_EasyGAV_WebResponse',
            'Login_SGEServer' => '\\StructType\\Login_SGEServer',
            'Login_SGEServerResponse' => '\\StructType\\Login_SGEServerResponse',
            'GetInternalProtocolVersion' => '\\StructType\\GetInternalProtocolVersion',
            'GetInternalProtocolVersionResponse' => '\\StructType\\GetInternalProtocolVersionResponse',
            'GetProfilo' => '\\StructType\\GetProfilo',
            'GetProfiloResponse' => '\\StructType\\GetProfiloResponse',
            'UpdateUser' => '\\StructType\\UpdateUser',
            'UpdateUserResponse' => '\\StructType\\UpdateUserResponse',
            'UpdateUserProfilePhoto' => '\\StructType\\UpdateUserProfilePhoto',
            'UpdateUserProfilePhotoResponse' => '\\StructType\\UpdateUserProfilePhotoResponse',
            'GetConfigurazione' => '\\StructType\\GetConfigurazione',
            'GetConfigurazioneResponse' => '\\StructType\\GetConfigurazioneResponse',
            'InviaPresenza' => '\\StructType\\InviaPresenza',
            'InviaPresenzaResponse' => '\\StructType\\InviaPresenzaResponse',
            'InviaPresenza2' => '\\StructType\\InviaPresenza2',
            'InviaPresenza2Response' => '\\StructType\\InviaPresenza2Response',
            'InviaPresenza3' => '\\StructType\\InviaPresenza3',
            'InviaPresenza3Response' => '\\StructType\\InviaPresenza3Response',
            'GetCheckList_Richieste' => '\\StructType\\GetCheckList_Richieste',
            'GetCheckList_RichiesteResponse' => '\\StructType\\GetCheckList_RichiesteResponse',
            'GetRegioni' => '\\StructType\\GetRegioni',
            'GetRegioniResponse' => '\\StructType\\GetRegioniResponse',
            'GetProvince' => '\\StructType\\GetProvince',
            'GetProvinceResponse' => '\\StructType\\GetProvinceResponse',
            'GetComuni' => '\\StructType\\GetComuni',
            'GetComuniResponse' => '\\StructType\\GetComuniResponse',
            'GetRecapiti' => '\\StructType\\GetRecapiti',
            'GetRecapitiResponse' => '\\StructType\\GetRecapitiResponse',
            'GetRecapito' => '\\StructType\\GetRecapito',
            'GetRecapitoResponse' => '\\StructType\\GetRecapitoResponse',
            'SalvaRecapito' => '\\StructType\\SalvaRecapito',
            'SalvaRecapitoResponse' => '\\StructType\\SalvaRecapitoResponse',
            'DeleteRecapito' => '\\StructType\\DeleteRecapito',
            'DeleteRecapitoResponse' => '\\StructType\\DeleteRecapitoResponse',
            'GetQualifiche' => '\\StructType\\GetQualifiche',
            'GetQualificheResponse' => '\\StructType\\GetQualificheResponse',
            'SendRecapiti' => '\\StructType\\SendRecapiti',
            'SendRecapitiResponse' => '\\StructType\\SendRecapitiResponse',
            'GetCorsi' => '\\StructType\\GetCorsi',
            'GetCorsiResponse' => '\\StructType\\GetCorsiResponse',
            'GetCorsiUtente' => '\\StructType\\GetCorsiUtente',
            'GetCorsiUtenteResponse' => '\\StructType\\GetCorsiUtenteResponse',
            'CancellaIscrizioneACorso' => '\\StructType\\CancellaIscrizioneACorso',
            'CancellaIscrizioneACorsoResponse' => '\\StructType\\CancellaIscrizioneACorsoResponse',
            'SendCorsoRegistrazione' => '\\StructType\\SendCorsoRegistrazione',
            'SendCorsoRegistrazioneResponse' => '\\StructType\\SendCorsoRegistrazioneResponse',
            'SendCorsoCancellaRegistrazione' => '\\StructType\\SendCorsoCancellaRegistrazione',
            'SendCorsoCancellaRegistrazioneResponse' => '\\StructType\\SendCorsoCancellaRegistrazioneResponse',
            'GetTurni' => '\\StructType\\GetTurni',
            'GetTurniResponse' => '\\StructType\\GetTurniResponse',
            'GetTurniOperatore' => '\\StructType\\GetTurniOperatore',
            'GetTurniOperatoreResponse' => '\\StructType\\GetTurniOperatoreResponse',
            'GetEventiOperatore' => '\\StructType\\GetEventiOperatore',
            'GetEventiOperatoreResponse' => '\\StructType\\GetEventiOperatoreResponse',
            'GetCalendarioTurni' => '\\StructType\\GetCalendarioTurni',
            'GetCalendarioTurniResponse' => '\\StructType\\GetCalendarioTurniResponse',
            'GetCalendarioTurniLite' => '\\StructType\\GetCalendarioTurniLite',
            'GetCalendarioTurniLiteResponse' => '\\StructType\\GetCalendarioTurniLiteResponse',
            'GetEventi' => '\\StructType\\GetEventi',
            'GetEventiResponse' => '\\StructType\\GetEventiResponse',
            'GetCalendarioEventi' => '\\StructType\\GetCalendarioEventi',
            'GetCalendarioEventiResponse' => '\\StructType\\GetCalendarioEventiResponse',
            'GetTurnoSpecifico' => '\\StructType\\GetTurnoSpecifico',
            'GetTurnoSpecificoResponse' => '\\StructType\\GetTurnoSpecificoResponse',
            'GetTurnoSpecifico2' => '\\StructType\\GetTurnoSpecifico2',
            'GetTurnoSpecifico2Response' => '\\StructType\\GetTurnoSpecifico2Response',
            'GetGiornoEvento' => '\\StructType\\GetGiornoEvento',
            'GetGiornoEventoResponse' => '\\StructType\\GetGiornoEventoResponse',
            'IscrizioneTurno' => '\\StructType\\IscrizioneTurno',
            'IscrizioneTurnoResponse' => '\\StructType\\IscrizioneTurnoResponse',
            'IscrizioneTurno2' => '\\StructType\\IscrizioneTurno2',
            'IscrizioneTurno2Response' => '\\StructType\\IscrizioneTurno2Response',
            'ModificaIscrizioneTurno' => '\\StructType\\ModificaIscrizioneTurno',
            'ModificaIscrizioneTurnoResponse' => '\\StructType\\ModificaIscrizioneTurnoResponse',
            'ModificaIscrizioneTurno2' => '\\StructType\\ModificaIscrizioneTurno2',
            'ModificaIscrizioneTurno2Response' => '\\StructType\\ModificaIscrizioneTurno2Response',
            'IscrizioneEvento' => '\\StructType\\IscrizioneEvento',
            'IscrizioneEventoResponse' => '\\StructType\\IscrizioneEventoResponse',
            'CancellazioneIscrizioneTurno' => '\\StructType\\CancellazioneIscrizioneTurno',
            'CancellazioneIscrizioneTurnoResponse' => '\\StructType\\CancellazioneIscrizioneTurnoResponse',
            'CancellazioneIscrizioneTurno2' => '\\StructType\\CancellazioneIscrizioneTurno2',
            'CancellazioneIscrizioneTurno2Response' => '\\StructType\\CancellazioneIscrizioneTurno2Response',
            'CancellazioneIscrizioneEvento' => '\\StructType\\CancellazioneIscrizioneEvento',
            'CancellazioneIscrizioneEventoResponse' => '\\StructType\\CancellazioneIscrizioneEventoResponse',
            'GetAttivitaUtente' => '\\StructType\\GetAttivitaUtente',
            'GetAttivitaUtenteResponse' => '\\StructType\\GetAttivitaUtenteResponse',
            'GetMessaggi' => '\\StructType\\GetMessaggi',
            'GetMessaggiResponse' => '\\StructType\\GetMessaggiResponse',
            'GetLastPresenza' => '\\StructType\\GetLastPresenza',
            'GetLastPresenzaResponse' => '\\StructType\\GetLastPresenzaResponse',
            'GetLastPresenza2' => '\\StructType\\GetLastPresenza2',
            'GetLastPresenza2Response' => '\\StructType\\GetLastPresenza2Response',
            'GetNotifiche' => '\\StructType\\GetNotifiche',
            'GetNotificheResponse' => '\\StructType\\GetNotificheResponse',
            'GetTestoNotifica' => '\\StructType\\GetTestoNotifica',
            'GetTestoNotificaResponse' => '\\StructType\\GetTestoNotificaResponse',
            'GetTotaleNotificheDaNotificare' => '\\StructType\\GetTotaleNotificheDaNotificare',
            'GetTotaleNotificheDaNotificareResponse' => '\\StructType\\GetTotaleNotificheDaNotificareResponse',
            'SetNotificaLetta' => '\\StructType\\SetNotificaLetta',
            'SetNotificaLettaResponse' => '\\StructType\\SetNotificaLettaResponse',
            'SetNotificheNotificate' => '\\StructType\\SetNotificheNotificate',
            'SetNotificheNotificateResponse' => '\\StructType\\SetNotificheNotificateResponse',
            'RicercaAnagrafe' => '\\StructType\\RicercaAnagrafe',
            'RicercaAnagrafeResponse' => '\\StructType\\RicercaAnagrafeResponse',
            'GetAnagrafe' => '\\StructType\\GetAnagrafe',
            'GetAnagrafeResponse' => '\\StructType\\GetAnagrafeResponse',
            'SalvaAnagrafe' => '\\StructType\\SalvaAnagrafe',
            'SalvaAnagrafeResponse' => '\\StructType\\SalvaAnagrafeResponse',
            'IncassaQuotaAssociativa' => '\\StructType\\IncassaQuotaAssociativa',
            'IncassaQuotaAssociativaResponse' => '\\StructType\\IncassaQuotaAssociativaResponse',
            'AnnullaIncassoQuotaAssociativa' => '\\StructType\\AnnullaIncassoQuotaAssociativa',
            'AnnullaIncassoQuotaAssociativaResponse' => '\\StructType\\AnnullaIncassoQuotaAssociativaResponse',
            'StampaModuloPrivacy' => '\\StructType\\StampaModuloPrivacy',
            'StampaModuloPrivacyResponse' => '\\StructType\\StampaModuloPrivacyResponse',
            'RinnovaPrivacy' => '\\StructType\\RinnovaPrivacy',
            'RinnovaPrivacyResponse' => '\\StructType\\RinnovaPrivacyResponse',
            'RevocaPrivacy' => '\\StructType\\RevocaPrivacy',
            'RevocaPrivacyResponse' => '\\StructType\\RevocaPrivacyResponse',
            'GetCsvSociConRecapito' => '\\StructType\\GetCsvSociConRecapito',
            'GetCsvSociConRecapitoResponse' => '\\StructType\\GetCsvSociConRecapitoResponse',
            'GetCsvSituazionePrivacy' => '\\StructType\\GetCsvSituazionePrivacy',
            'GetCsvSituazionePrivacyResponse' => '\\StructType\\GetCsvSituazionePrivacyResponse',
            'GetCsvCampagnaSoci' => '\\StructType\\GetCsvCampagnaSoci',
            'GetCsvCampagnaSociResponse' => '\\StructType\\GetCsvCampagnaSociResponse',
            'GetListaSegnalazioniGuasto' => '\\StructType\\GetListaSegnalazioniGuasto',
            'GetListaSegnalazioniGuastoResponse' => '\\StructType\\GetListaSegnalazioniGuastoResponse',
            'GetListaArticoliSegnalazioneGuasto' => '\\StructType\\GetListaArticoliSegnalazioneGuasto',
            'GetListaArticoliSegnalazioneGuastoResponse' => '\\StructType\\GetListaArticoliSegnalazioneGuastoResponse',
            'SendSegnalazioneGuasto' => '\\StructType\\SendSegnalazioneGuasto',
            'SendSegnalazioneGuastoResponse' => '\\StructType\\SendSegnalazioneGuastoResponse',
            'RiassegnaMezzoMissioni' => '\\StructType\\RiassegnaMezzoMissioni',
            'RiassegnaMezzoMissioniResponse' => '\\StructType\\RiassegnaMezzoMissioniResponse',
            'InsertRichiestaCartellino' => '\\StructType\\InsertRichiestaCartellino',
            'InsertRichiestaCartellinoResponse' => '\\StructType\\InsertRichiestaCartellinoResponse',
            'UpdateRichiestaCartellino' => '\\StructType\\UpdateRichiestaCartellino',
            'UpdateRichiestaCartellinoResponse' => '\\StructType\\UpdateRichiestaCartellinoResponse',
            'GetRichiesteCartellino' => '\\StructType\\GetRichiesteCartellino',
            'GetRichiesteCartellinoResponse' => '\\StructType\\GetRichiesteCartellinoResponse',
            'GetRichiestaCartellino' => '\\StructType\\GetRichiestaCartellino',
            'GetRichiestaCartellinoResponse' => '\\StructType\\GetRichiestaCartellinoResponse',
            'DeleteRichiestaCartellino' => '\\StructType\\DeleteRichiestaCartellino',
            'DeleteRichiestaCartellinoResponse' => '\\StructType\\DeleteRichiestaCartellinoResponse',
            'InsertEventolRichiestaCartellino' => '\\StructType\\InsertEventolRichiestaCartellino',
            'InsertEventolRichiestaCartellinoResponse' => '\\StructType\\InsertEventolRichiestaCartellinoResponse',
            'GetListaRuoliOperatori' => '\\StructType\\GetListaRuoliOperatori',
            'GetListaRuoliOperatoriResponse' => '\\StructType\\GetListaRuoliOperatoriResponse',
            'GetListaStradari' => '\\StructType\\GetListaStradari',
            'GetListaStradariResponse' => '\\StructType\\GetListaStradariResponse',
            'CheckGreenPass' => '\\StructType\\CheckGreenPass',
            'CheckGreenPassResponse' => '\\StructType\\CheckGreenPassResponse',
        );
    }
}
