<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConfigurazioneApp StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ConfigurazioneApp
 * @subpackage Structs
 */
class ConfigurazioneApp extends ConfigurazioneBase
{
    /**
     * The Sezioni
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSezione
     */
    public $Sezioni;
    /**
     * The TURNI_MostraSiglaMezzo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $TURNI_MostraSiglaMezzo;
    /**
     * Constructor method for ConfigurazioneApp
     * @uses ConfigurazioneApp::setSezioni()
     * @uses ConfigurazioneApp::setTURNI_MostraSiglaMezzo()
     * @param \ArrayType\ArrayOfSezione $sezioni
     * @param bool $tURNI_MostraSiglaMezzo
     */
    public function __construct(\ArrayType\ArrayOfSezione $sezioni = null, $tURNI_MostraSiglaMezzo = null)
    {
        $this
            ->setSezioni($sezioni)
            ->setTURNI_MostraSiglaMezzo($tURNI_MostraSiglaMezzo);
    }
    /**
     * Get Sezioni value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSezione|null
     */
    public function getSezioni()
    {
        return isset($this->Sezioni) ? $this->Sezioni : null;
    }
    /**
     * Set Sezioni value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSezione $sezioni
     * @return \StructType\ConfigurazioneApp
     */
    public function setSezioni(\ArrayType\ArrayOfSezione $sezioni = null)
    {
        if (is_null($sezioni) || (is_array($sezioni) && empty($sezioni))) {
            unset($this->Sezioni);
        } else {
            $this->Sezioni = $sezioni;
        }
        return $this;
    }
    /**
     * Get TURNI_MostraSiglaMezzo value
     * @return bool|null
     */
    public function getTURNI_MostraSiglaMezzo()
    {
        return $this->TURNI_MostraSiglaMezzo;
    }
    /**
     * Set TURNI_MostraSiglaMezzo value
     * @param bool $tURNI_MostraSiglaMezzo
     * @return \StructType\ConfigurazioneApp
     */
    public function setTURNI_MostraSiglaMezzo($tURNI_MostraSiglaMezzo = null)
    {
        // validation for constraint: boolean
        if (!is_null($tURNI_MostraSiglaMezzo) && !is_bool($tURNI_MostraSiglaMezzo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($tURNI_MostraSiglaMezzo, true), gettype($tURNI_MostraSiglaMezzo)), __LINE__);
        }
        $this->TURNI_MostraSiglaMezzo = $tURNI_MostraSiglaMezzo;
        return $this;
    }
}
